import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
/*
 * Copyright (c) 2021-2023 Datalayer, Inc.
 *
 * MIT License
 */
import { useState } from 'react';
import { createRoot } from 'react-dom/client';
import { Box, Button, Heading, Text, Link, PageLayout, PageHeader, RadioGroup, Radio, FormControl, RelativeTime, TextInput, TextInputWithTokens, Timeline, Octicon, ToggleSwitch, SegmentedControl, Label, LabelGroup, } from '@primer/react';
import { DataTable, Table } from '@primer/react/experimental';
import { GitCommitIcon } from '@primer/octicons-react';
import { SkeletonBox } from '@primer/react/experimental';
import { JupyterReactTheme } from '../theme/JupyterReactTheme';
const mockTokens = [
    { text: 'zero', id: 0 },
    { text: 'one', id: 1 },
    { text: 'two', id: 2 },
    { text: 'three', id: 3 },
    { text: 'four', id: 4 },
    { text: 'five', id: 5 },
    { text: 'six', id: 6 },
    { text: 'seven', id: 7 },
];
const now = Date.now();
const Second = 1000;
const Minute = 60 * Second;
const Hour = 60 * Minute;
const Day = 24 * Hour;
const Week = 7 * Day;
const Month = 4 * Week;
const data = [
    {
        id: 1,
        name: 'codeql-dca-worker',
        type: 'internal',
        updatedAt: now,
        securityFeatures: {
            dependabot: ['alerts', 'security updates'],
            codeScanning: ['report secrets'],
        },
    },
    {
        id: 2,
        name: 'aegir',
        type: 'public',
        updatedAt: now - 5 * Minute,
        securityFeatures: {
            dependabot: ['alerts'],
            codeScanning: ['report secrets'],
        },
    },
    {
        id: 3,
        name: 'strapi',
        type: 'public',
        updatedAt: now - 1 * Hour,
        securityFeatures: {
            dependabot: [],
            codeScanning: [],
        },
    },
    {
        id: 4,
        name: 'codeql-ci-nightlies',
        type: 'public',
        updatedAt: now - 6 * Hour,
        securityFeatures: {
            dependabot: ['alerts'],
            codeScanning: [],
        },
    },
    {
        id: 5,
        name: 'dependabot-updates',
        type: 'public',
        updatedAt: now - 1 * Day,
        securityFeatures: {
            dependabot: [],
            codeScanning: [],
        },
    },
    {
        id: 6,
        name: 'tsx-create-react-app',
        type: 'public',
        updatedAt: now - 1 * Week,
        securityFeatures: {
            dependabot: [],
            codeScanning: [],
        },
    },
    {
        id: 7,
        name: 'bootstrap',
        type: 'public',
        updatedAt: now - 1 * Month,
        securityFeatures: {
            dependabot: ['alerts'],
            codeScanning: [],
        },
    },
    {
        id: 8,
        name: 'docker-templates',
        type: 'public',
        updatedAt: now - 3 * Month,
        securityFeatures: {
            dependabot: ['alerts'],
            codeScanning: [],
        },
    },
];
const Theme = () => {
    const [tokens, setTokens] = useState([...mockTokens].slice(0, 3));
    const onTokenRemove = (tokenId) => {
        setTokens(tokens.filter((token) => token.id !== tokenId));
    };
    return (_jsx(JupyterReactTheme, { children: _jsxs(PageLayout, { containerWidth: "full", padding: "normal", children: [_jsx(PageLayout.Header, { children: _jsxs(PageHeader, { children: [_jsx(PageHeader.TitleArea, { variant: "large", children: _jsx(PageHeader.Title, { children: "JupyterLab Theme" }) }), _jsx(PageHeader.Description, { children: _jsx(Text, { sx: {
                                        fontSize: 1,
                                        color: 'fg.muted'
                                    }, children: "Useful examples..." }) })] }) }), _jsxs(PageLayout.Content, { children: [_jsx(Heading, { children: "Heading" }), _jsxs(Box, { children: [_jsx(Text, { as: "h1", children: "Heading 1" }), _jsx(Text, { as: "h2", children: "Heading 2" }), _jsx(Text, { as: "h3", children: "Heading 3" }), _jsx(Text, { children: "This is a text." }), _jsx("br", {}), _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "This is a link." }), _jsx("br", {}), _jsx(Text, { as: "h3", children: _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "This is a heading 3 link" }) })] }), _jsxs(Box, { children: [_jsx(Button, { variant: "default", children: "Default" }), _jsx(Button, { variant: "primary", children: "Primary" }), _jsx(Button, { variant: "invisible", children: "Invisible" }), _jsx(Button, { variant: "danger", children: "Danger" })] }), _jsx(Box, { as: "form", children: _jsxs(RadioGroup, { name: "defaultRadioGroup", children: [_jsx(RadioGroup.Label, { children: "Choices" }), _jsxs(FormControl, { children: [_jsx(Radio, { value: "one", defaultChecked: true }), _jsx(FormControl.Label, { children: "Choice one" })] }), _jsxs(FormControl, { children: [_jsx(Radio, { value: "two" }), _jsx(FormControl.Label, { children: "Choice two" })] }), _jsxs(FormControl, { children: [_jsx(Radio, { value: "three" }), _jsx(FormControl.Label, { children: "Choice three" })] })] }) }), _jsx(Box, { as: "form", children: _jsxs(FormControl, { children: [_jsx(FormControl.Label, { children: "Default label" }), _jsx(FormControl.Caption, { children: "This is a caption" }), _jsx(TextInput, {})] }) }), _jsx(Box, { children: _jsxs(FormControl, { children: [_jsx(FormControl.Label, { children: "Default label" }), _jsx(TextInputWithTokens, { tokens: tokens, onTokenRemove: onTokenRemove })] }) }), _jsx(Box, { children: _jsx(SkeletonBox, { height: "4rem" }) }), _jsxs(Box, { children: [_jsx(Text, { id: "toggle", fontWeight: "bold", fontSize: 1, children: "Toggle label" }), _jsx(ToggleSwitch, { "aria-labelledby": "toggle" })] }), _jsx(Box, { children: _jsxs(SegmentedControl, { "aria-label": "File view", children: [_jsx(SegmentedControl.Button, { defaultSelected: true, children: "Preview" }), _jsx(SegmentedControl.Button, { children: "Raw" }), _jsx(SegmentedControl.Button, { children: "Blame" })] }) }), _jsx(Box, { children: _jsxs(Timeline, { children: [_jsxs(Timeline.Item, { children: [_jsx(Timeline.Badge, { children: _jsx(Octicon, { icon: GitCommitIcon, "aria-label": "Commit" }) }), _jsx(Timeline.Body, { children: "This is a message" })] }), _jsxs(Timeline.Item, { children: [_jsx(Timeline.Badge, { children: _jsx(Octicon, { icon: GitCommitIcon, "aria-label": "Commit" }) }), _jsx(Timeline.Body, { children: "This is a message" })] })] }) }), _jsx(Box, { children: _jsxs(Table.Container, { children: [_jsx(Table.Title, { as: "h2", id: "repositories", children: "Repositories" }), _jsx(Table.Subtitle, { as: "p", id: "repositories-subtitle", children: "A subtitle could appear here to give extra context to the data." }), _jsx(DataTable, { "aria-labelledby": "repositories", "aria-describedby": "repositories-subtitle", data: data, columns: [
                                            // @ts-ignore
                                            {
                                                header: 'Repository',
                                                field: 'name',
                                                rowHeader: true,
                                            },
                                            {
                                                header: 'Type',
                                                field: 'type',
                                                renderCell: (row) => {
                                                    return _jsx(Label, { children: row.type });
                                                },
                                            },
                                            {
                                                header: 'Updated',
                                                field: 'updatedAt',
                                                renderCell: (row) => {
                                                    return _jsx(RelativeTime, { date: new Date(row.updatedAt) });
                                                },
                                            },
                                            {
                                                header: 'Dependabot',
                                                field: 'securityFeatures.dependabot',
                                                renderCell: (row) => {
                                                    return row.securityFeatures.dependabot.length > 0 ? (_jsx(LabelGroup, { children: row.securityFeatures.dependabot.map((feature) => {
                                                            return _jsx(Label, { children: feature }, feature);
                                                        }) })) : null;
                                                },
                                            },
                                            {
                                                header: 'Code scanning',
                                                field: 'securityFeatures.codeScanning',
                                                renderCell: (row) => {
                                                    return row.securityFeatures.codeScanning.length > 0 ? (_jsx(LabelGroup, { children: row.securityFeatures.codeScanning.map((feature) => {
                                                            return _jsx(Label, { variant: "danger", children: feature }, feature);
                                                        }) })) : null;
                                                },
                                            },
                                        ] })] }) }), _jsx(Box, { children: _jsx(Text, { as: "h3", children: _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "User Guide" }) }) }), _jsx(Box, { children: _jsx(Text, { as: "h3", children: _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "Pricing" }) }) }), _jsx(Box, { children: _jsx(Text, { as: "h3", children: _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "Privacy" }) }) }), _jsx(Box, { children: _jsx(Text, { as: "h3", children: _jsx(Link, { href: "https://datalayer.io", target: "_blank", children: "Terms and conditions" }) }) })] })] }) }));
};
const div = document.createElement('div');
document.body.appendChild(div);
const root = createRoot(div);
root.render(_jsx(Theme, {}));
//# sourceMappingURL=Theme.js.map